Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class TaskFilter

    java.lang.Object
      com.compoze.domino.AbstractFilter
          com.compoze.domino.TaskFilter

All Implemented Interfaces:
  java.io.Serializable

public class TaskFilter
extends AbstractFilter
implements java.io.Serializable

This class represents a task filter. A task filter is used to search for tasks.

See Also:
  `Documents.serverGetTasks(int,int,PropertyKey[],SortProperty,TaskFilter)`, Serialized Form

Field Summary

Fields inherited from class com.compoze.domino.AbstractFilter
`m_filters, m_rules`

Constructor Summary
`TaskFilter()` Constructor.

Method Summary
`void` | `appendFilter(TaskFilter filter, boolean bOr)` Appends the specified filter to this filter.
`java.util.List` | `getFilters()` Gets a list of filters appended to this filter.
`protected com.compoze.domino.filter.IFilterRule` | `getFormRule()` Gets the form rule for this filter.
`static void` | `main(java.lang.String[] args)` Main.
`void` | `removeFilter(TaskFilter filter)` Removes the specified filter from this filter.
`void` | `setDueState(TaskDueState state)` Sets the filtering by due state.
`void` | `setNotDueState(TaskDueState state)` Sets the filtering by 'not' due state.
`void` | `setSubject(java.lang.String sValue)` Sets the filtering by subject.
`void` | `setSubject(java.lang.String sValue, boolean bExact)` Sets the filtering by subject.
`void` | `unsetDueState()` Unsets the filtering by due state.
`void` | `unsetNotDueState()` Unsets the filtering by 'not' due state.
`void` | `unsetSubject()` Unsets the filtering by subject.

Methods inherited from class com.compoze.domino.AbstractFilter
`getBaseRule, getFilterRule, getFilterRule, getOr, setBeginsStringRule, setDateRule, setNotRule, setOr, setRule, setRule, setRule, toRule, toString, unsetBeginsStringRule, unsetNotRule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TaskFilter

    public TaskFilter()

  Constructor.

Method Detail

### setSubject

    public void setSubject(java.lang.String sValue)

  Sets the filtering by subject. The rule tests the subject for the specified value. The match is not exact by default.

  Parameters:
    `sValue` - the value to test
  See Also:
    `setSubject(String, boolean)`

### setSubject

    public void setSubject(java.lang.String sValue,
                           boolean bExact)

  Sets the filtering by subject.

  Parameters:
    `sValue` - the value to test
    `bExact` - `true` for an exact match of the string value; `false` to match as substring value

### unsetSubject

    public void unsetSubject()

  Unsets the filtering by subject.

### setDueState

    public void setDueState(TaskDueState state)

  Sets the filtering by due state. The rule tests the due state for the specified value and returns tasks with matching due state.

  Parameters:
    `state` - the due state to test

### unsetDueState

    public void unsetDueState()

  Unsets the filtering by due state.

### setNotDueState

    public void setNotDueState(TaskDueState state)

  Sets the filtering by 'not' due state. The rule tests the due state for the specified value and returns tasks that do 'not' match the specified due state.

  Parameters:
    `state` - the due state to test

### unsetNotDueState

    public void unsetNotDueState()

  Unsets the filtering by 'not' due state.

### appendFilter

    public void appendFilter(TaskFilter filter,
                             boolean bOr)

  Appends the specified filter to this filter.

  Parameters:
    `filter` - the filter to append
    `bOr` - `true` to append this filter with an 'or'; `false` to use 'and'

### removeFilter

    public void removeFilter(TaskFilter filter)

  Removes the specified filter from this filter.

  Parameters:
    `filter` - the filter to remove

### getFilters

    public java.util.List getFilters()

  Gets a list of filters appended to this filter.

  Returns:
    a list of `TaskFilter` objects (unmodifiable)

### getFormRule

    protected com.compoze.domino.filter.IFilterRule getFormRule()

  Description copied from class: `AbstractFilter`
  Gets the form rule for this filter.

  Specified by:
    `getFormRule` in class `AbstractFilter`
  Returns:
    the form rule

### main

    public static void main(java.lang.String[] args)

  Main.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.